<?php

/*
 * Picture Time Photo Album
 * An Image gallery provided by Marcel Pol under the GPL
 * Source and updates: http://timelord.nl
 */

class Gallery {
	protected $realpath,$path,$docroot,$images,$albums,$navlist,$name;

	public function __construct() {
		global $realpath,$path,$docroot;
		$this->realpath = $realpath;
		$this->path = $path;
		$this->docroot = $docroot;
	}

	public function build_itemlist() {
		$scandir = scandir($this->realpath);
		// make arrays and fill them with objects
		$this->images = array();
		$this->albums = array();
		foreach ($scandir as $scanfile) {
			if (is_file($this->realpath . "/" . $scanfile)) {
				if (exif_imagetype($this->realpath . "/" . $scanfile)) {
					if ($scanfile != "thumb.jpg") {
						$this->images[] = new Image($scanfile); // build an image object
					}
				}
			} else if (is_dir($this->realpath . "/" . $scanfile)) {
				if ($scanfile != "tn" && $scanfile != "." && $scanfile != "..") {
					$this->albums[] = new Album($scanfile); // build an album object
				}
			}
		}

		$this->navlist = explode('/',$this->path);

		foreach ($this->navlist as $navlist) {
			if (!empty($navlist)) {
				$this->name = $navlist;
			}
		}
	}


	public function build_index() {
		// function to serve the html file
		global $script,$gallery,$software;
		include($script->get_docroot() . $software . '/themes/' . $script->get_theme() . '/index.php');
	}


	// the getter methods
	public function get_realpath() {
		return $this->realpath;
	}
	public function get_name() {
		return $this->name;
	}
	public function get_path() {
		return $this->path;
	}
	public function get_docroot() {
		return $this->docroot;
	}
	public function get_images() {
		return $this->images;
	}
	public function get_albums() {
		return $this->albums;
	}
	public function get_navlist() {
		return $this->navlist;
	}

}
?>
