<?php

/**
 * Picture Time Photo Album
 * An Image gallery provided by Marcel Pol under the GPL
 * Source and updates: http://timelord.nl
 */

// Main file for Picture Time Photo Album
ini_set("display_errors", 1);
error_reporting(E_ERROR | E_WARNING | E_PARSE | E_STRICT | E_NOTICE);

$docroot = $_SERVER['DOCUMENT_ROOT'];

// generate a real path
$path = $_SERVER['REQUEST_URI'];
$path_array = explode("/", $path);
$devnull = array_shift($path_array);
$devnull = array_pop($path_array);
$path = "/" . implode("/", $path_array);
$realpath = realpath($docroot . $path);

$software = "/picture_time";

session_start(); // always start the session here

include($docroot . $software . '/version.php');
include($docroot . $software . '/config.php');
include($docroot . $software . '/classes/script.php');
include($docroot . $software . '/classes/gallery.php');
include($docroot . $software . '/classes/album.php');
include($docroot . $software . '/classes/image.php');
include($docroot . $software . '/login.php');


// first check permissions
if (!is_writable($realpath)) {
	die($realpath . "directory is not writable");
}
if (is_dir($realpath . "/tn")) {
	if (!is_writable($realpath . "/tn")) {
		die($realpath . "/tn is not writable");
	}
} else {
	mkdir($realpath . "/tn");
}
// Allright then...

// generate objects and fill them
$script = new Script();
$gallery = new Gallery();
$gallery->build_itemlist();


if ($gallery->get_images()) {
	foreach ($gallery->get_images() as $image) {
		if ($image->get_date() > $image->get_tn_date() || $image->get_tn_date() == "") {
			$image->gen_tn($image); // make thumbnails
		}
	}
}


$gallery->build_index(); // send out html file to client


?>
